-- ===================================================================

minetest.register_node ("default:stone", {
    description = "Stone",
    tiles = { "default_stone.png" } ,
    groups = {cracky=3},
    drop = 'default:stone',
    legacy_mineral = true,
    sounds = default.sound_stone(),

    light_source      = 8           	,
    paramtype         = "light"         ,
})

-- ===================================================================

minetest.register_node ("default:stone_with_coal", {
    description = "Stone with coal",
    tiles = { "default_stone.png^default_mineral_coal.png" } ,
    groups = {cracky=3, not_in_creative_inventory = 1},
    drop = 'default:stone',
    sounds = default.sound_stone(),
})

-- ===================================================================

minetest.register_node ("default:stone_with_iron", {
    description = "Stone with iron",
    tiles = { "default_stone.png^default_mineral_iron.png" } ,
    groups = {cracky=3, not_in_creative_inventory = 1},
    drop = 'default:stone',
    sounds = default.sound_stone(),
})

-- ===================================================================

minetest.register_node ("default:sandstone", {
    description = "Sandstone",
    tiles = { "default_sandstone.png" } ,
    groups = {crumbly=2,cracky=2},
    drop = 'default:sand',
    sounds = default.sound_stone(),
})

-- ===================================================================

minetest.register_node ("default:stonebrick", {
    description = "Stone Brick",
    paramtype2 = "facedir",
    place_param2 = 0,
    tiles = { "default_stonebrick.png" } ,
    is_ground_content = false,
    groups = {cracky = 2, stone = 1},
    sounds = default.sound_stone(),
})

-- ===================================================================

minetest.register_node ("default:stone_block", {
    description = "Stone Block",
    tiles = { "default_stone_block.png" } ,
    is_ground_content = false,
    groups = {cracky = 2, stone = 1},
    sounds = default.sound_stone(),
})

-- ===================================================================

minetest.register_node ("default:obsidian", {
    description = "Obsidian",
    tiles = { "default_obsidian.png" } ,
    sounds = default.sound_stone(),
    groups = {cracky = 1, level = 2},
})

-- ===================================================================

minetest.register_node ("default:cobble", {
    description = "Cobble",
    tiles = { "default_cobble.png" } ,
    is_ground_content = false,
    groups = {cracky=3},
    sounds = default.sound_stone(),
})

-- ===================================================================

minetest.register_node ("default:mossycobble", {
    description = "Mossy Cobble",
    tiles = { "default_mossycobble.png" } ,
    is_ground_content = false,
    groups = {cracky=3},
    sounds = default.sound_stone(),
})

-- ===================================================================

node_name = "default:glowing_fungal_stone"
--
minetest.register_node (node_name, { 
    description       = "Glowing Fungal Stone"  ,
    is_ground_content = true                    ,
    light_source      = 8                       ,
    groups            = { cracky=3, stone=1 }   ,
    sounds            = default.sound_stone()   ,
    paramtype         = "light"                 ,

    tiles = { "default_stone.png^default_glowing_fungal_stone.png" } ,

    drop = {
        items = {
            { items = { "default:cobble"              }} ,
            { items = { "loud_walking:glowing_fungus" }} ,
        }
    } ,
})

-- ===================================================================
-- End of file.
