--- Two-time-speed mod.
-- Descended from a mod created by ShadowNinja.
-- License: WTFPL

local dayspeed   = ocutil.numsetting ("dayspeed"         ) or
                   ocutil.numsetting ("day_speed"        ) or
                   ocutil.numsetting ("day_time_speed"   ) or
                   100

local nightspeed = ocutil.numsetting ("nightspeed"       ) or
                   ocutil.numsetting ("night_speed"      ) or
                   ocutil.numsetting ("night_time_speed" ) or
                   150

if dayspeed   <  10 then dayspeed   =  10 end
if dayspeed   > 300 then dayspeed   = 300 end
if nightspeed <  10 then nightspeed =  10 end
if nightspeed > 300 then nightspeed = 300 end

local DAY      = 0
local NIGHT    = 1
local last_set = nil

minetest.register_globalstep(function(dtime)
	local time = minetest.get_timeofday()
	if time > 0.25 and time < 0.75 then
		-- Day
		if last_set == DAY then return end
		last_set = DAY
		minetest.setting_set ("time_speed", dayspeed   )
	else
		-- Night
		if last_set == NIGHT then return end
		last_set = NIGHT
		minetest.setting_set ("time_speed", nightspeed )
	end
end)
