local get_png   = function (x) return x end
local top_png   = get_png ("myretro_kirby_mini_top.png"   )
local front_png = get_png ("myretro_kirby_mini_front.png" )

mobs:register_mob("ccmobs:kirby", {
	type = "animal",
	hp_max = 4,
    collisionbox = { -0.50, -0.51, -0.50, 0.50, 0.51, 0.50 } ,
    visual = "cube",
    visual_size = {x = 0.7, y = 0.7},

    textures = {
        top_png   ,
        top_png   ,
        top_png   ,
        top_png   ,
        front_png ,
        top_png   ,
    } ,

    makes_footstep_sound = false,
	walk_velocity = 1,
	armor = 10,
	drops = {
		{name = "ccmobs:meat_raw",
		chance = 1,
		min = 1,
		max = 1,},
		},
	drawtype = "front",
	water_damage = 1,
	lava_damage = 1,
	light_damage = 0,
	on_rightclick = function(self, clicker)
		tool = clicker:get_wielded_item():get_name()
		if tool == "ccmobs:cage" then
				clicker:get_inventory():remove_item("main", "ccmobs:cage")
				clicker:get_inventory():add_item("main", "ccmobs:kirby")
				self.object:remove()
		end
	end,
})

minetest.register_craftitem("ccmobs:kirby", {
	description = "Kirby",
	inventory_image = front_png ,

	on_place = function(itemstack, placer, pointed_thing)
		if pointed_thing.above then
			minetest.env:add_entity(pointed_thing.above, "ccmobs:kirby")
			if minetest.setting_getbool("creative_mode") then
				itemstack:take_item()
			else 
				itemstack:take_item()
				placer:get_inventory():add_item("main", "ccmobs:cage")
			end
		end
		return itemstack
	end,
})

minetest.register_node("ccmobs:kirby_block", {
	description = "kirby block",

    tiles = {
        top_png   , -- top
        top_png   , -- bottom
        top_png   , -- right
        top_png   , -- left
        top_png   , -- back
        front_png , -- front
    },

	paramtype2 = "facedir",
	groups = {cracky = 2},
	is_ground_content = false,
	sounds = default.node_sound_defaults(),
})

minetest.register_craft({
	type = "shapeless",
	output = "ccmobs:kirby_block",
	recipe = {"ccmobs:kirby", "ccmobs:kirby", "ccmobs:kirby", "ccmobs:kirby"}
})
